---
title: /v2/advertisers/{advertiserId}/campaigns/{campaignId}/spa/ad-groups/{adGroupId}
slug: campaign-reporting-apis/v2advertisersadvertiseridcampaignscampaignidspaad-groupsadgroupid
docTags: 
createdAt: 2026-03-25T10:57:30.256Z
---

{
  "id": "fvFPb2YWm2UUoDbCSIGiT",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://<pcm-domain>/v2/advertisers/{advertiserId}/campaigns/{campaignId}/spa/ad-groups/{adGroupId}",
    "servers": [
      {
        "url": "https://<pcm-domain>/v2/advertisers/{advertiserId}/campaigns/{campaignId}/spa/ad-groups/{adGroupId}",
        "description": "Generated server url"
      }
    ],
    "name": "",
    "description": "Retrieves a SPA ad group specified by id.",
    "contentType": "application/json",
    "request": {
      "pathParameters": [
        {
          "kind": "required",
          "name": "advertiserId",
          "type": "integer<int32>",
          "description": "",
          "format": "int32"
        },
        {
          "kind": "required",
          "name": "campaignId",
          "type": "integer<int32>",
          "description": "",
          "format": "int32"
        },
        {
          "kind": "required",
          "name": "adGroupId",
          "type": "integer<int32>",
          "description": "",
          "format": "int32"
        }
      ],
      "headerParameters": [],
      "queryParameters": [],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "OK",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "SpaAdGroupResponse",
            "schema": [
              {
                "name": "id",
                "kind": "optional",
                "type": "integer<int32>",
                "description": "",
                "example": 0,
                "format": "int32"
              },
              {
                "name": "publisher",
                "kind": "optional",
                "type": "object",
                "description": "",
                "modelRef": "#/components/schemas/PublisherWithGlobalFloorPriceResponse",
                "customType": "PublisherWithGlobalFloorPriceResponse",
                "schema": [
                  {
                    "name": "id",
                    "kind": "optional",
                    "type": "integer<int32>",
                    "description": "",
                    "example": 0,
                    "format": "int32"
                  },
                  {
                    "name": "name",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": ""
                  },
                  {
                    "name": "bidBelowGlobalFloorPrice",
                    "kind": "optional",
                    "type": "boolean",
                    "description": "",
                    "example": ""
                  }
                ]
              },
              {
                "name": "name",
                "kind": "optional",
                "type": "string",
                "description": "",
                "example": ""
              },
              {
                "name": "type",
                "kind": "optional",
                "type": "string<DISPLAY | SPA | SPONSORED_BRAND>",
                "description": "",
                "example": "",
                "enum": [
                  "DISPLAY",
                  "SPA",
                  "SPONSORED_BRAND"
                ]
              },
              {
                "name": "status",
                "kind": "optional",
                "type": "string<ARCHIVED | EXPIRED | LIVE | PAUSED | SCHEDULED | WAITING | REJECTED>",
                "description": "",
                "example": "",
                "enum": [
                  "ARCHIVED",
                  "EXPIRED",
                  "LIVE",
                  "PAUSED",
                  "SCHEDULED",
                  "WAITING",
                  "REJECTED"
                ]
              },
              {
                "name": "budget",
                "kind": "optional",
                "type": "number",
                "description": "",
                "example": ""
              },
              {
                "name": "budgetSpent",
                "kind": "optional",
                "type": "number",
                "description": "",
                "example": ""
              },
              {
                "name": "dailyBudget",
                "kind": "optional",
                "type": "number",
                "description": "",
                "example": ""
              },
              {
                "name": "weeklyBudget",
                "kind": "optional",
                "type": "number",
                "description": "",
                "example": ""
              },
              {
                "name": "monthlyBudget",
                "kind": "optional",
                "type": "number",
                "description": "",
                "example": ""
              },
              {
                "name": "useDynamicBudget",
                "kind": "optional",
                "type": "boolean",
                "description": "Whenever dynamic budget is activated daily limits are calculated in order that the remaining budget is evenly distributed over the ad group's lifetime.",
                "example": ""
              },
              {
                "name": "dailySpendPacing",
                "kind": "optional",
                "type": "string<ASAP | EVEN>",
                "description": "",
                "example": "",
                "enum": [
                  "ASAP",
                  "EVEN"
                ]
              },
              {
                "name": "spendVelocity",
                "kind": "optional",
                "type": "number<double>",
                "description": "The pacing of the ad group measures budget efficiency over time, where a value of 1.0 reflects ideal spend considering temporal progress of the ad group, less than 1.0 underspending, and more than 1.0 overspending. The value is not set whenever the ad group has no end date.",
                "example": "",
                "format": "double"
              },
              {
                "name": "startDate",
                "kind": "optional",
                "type": "string<date-time>",
                "description": "",
                "example": "",
                "format": "date-time"
              },
              {
                "name": "endDate",
                "kind": "optional",
                "type": "string<date-time>",
                "description": "",
                "example": "",
                "format": "date-time"
              },
              {
                "name": "targetedSiteIds",
                "kind": "optional",
                "type": "array",
                "description": "",
                "example": "",
                "itemType": "integer",
                "customType": "integer[]",
                "itemExample": "",
                "itemDefault": ""
              },
              {
                "name": "targetedLocations",
                "kind": "optional",
                "type": "array",
                "description": "",
                "modelRef": "#/components/schemas/AdGroupTargetLocation",
                "customType": "AdGroupTargetLocation[]",
                "schema": [
                  {
                    "name": "location",
                    "kind": "optional",
                    "type": "string<CATEGORY_PAGE | SEARCH_PAGE | HOME_PAGE | PRODUCT_PAGE | CHECKOUT | MINI_SEARCH | EMAIL | EMAIL_ABANDONED_CART>",
                    "description": "",
                    "example": "",
                    "enum": [
                      "CATEGORY_PAGE",
                      "SEARCH_PAGE",
                      "HOME_PAGE",
                      "PRODUCT_PAGE",
                      "CHECKOUT",
                      "MINI_SEARCH",
                      "EMAIL",
                      "EMAIL_ABANDONED_CART"
                    ]
                  },
                  {
                    "name": "pagePosition",
                    "kind": "optional",
                    "type": "string<MAIN_GRID | CAROUSEL | BELOW_THE_FOLD | ABOVE_THE_FOLD | L1 | L2 | L3 | L4>",
                    "description": "",
                    "example": "",
                    "enum": [
                      "MAIN_GRID",
                      "CAROUSEL",
                      "BELOW_THE_FOLD",
                      "ABOVE_THE_FOLD",
                      "L1",
                      "L2",
                      "L3",
                      "L4"
                    ]
                  }
                ]
              },
              {
                "name": "advertised",
                "kind": "optional",
                "type": "boolean",
                "description": "",
                "example": ""
              },
              {
                "name": "globalFloorPrice",
                "kind": "optional",
                "type": "number",
                "description": "",
                "example": ""
              },
              {
                "name": "modifiedAt",
                "kind": "optional",
                "type": "string<date-time>",
                "description": "",
                "example": "",
                "format": "date-time"
              }
            ],
            "modelRef": "#/components/schemas/SpaAdGroupResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "Unauthorized",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "403",
        "description": "Forbidden",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "404",
        "description": "Not Found",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ExceptionResponse",
            "schema": [
              {
                "name": "messages",
                "kind": "optional",
                "type": "array",
                "description": "",
                "example": "",
                "itemType": "string",
                "customType": "string[]",
                "itemExample": "",
                "itemDefault": ""
              }
            ],
            "modelRef": "#/components/schemas/ExceptionResponse",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "sAATiOWbpB_hoCVysdawV",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://<pcm-domain>/v2/advertisers/{advertiserId}/campaigns/{campaignId}/spa/ad-groups/{adGroupId} \\\n     --header 'accept: application/json'"
        },
        {
          "id": "kIvjx-igs4QELjekjqi3K",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://<pcm-domain>/v2/advertisers/{advertiserId}/campaigns/{campaignId}/spa/ad-groups/{adGroupId}\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "r_WI04ZlikgxBLYPtGdnp",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://<pcm-domain>/v2/advertisers/{advertiserId}/campaigns/{campaignId}/spa/ad-groups/{adGroupId}\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "OL9VcYvIIPNF2rR_c4GlM",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://<pcm-domain>/v2/advertisers/{advertiserId}/campaigns/{campaignId}/spa/ad-groups/{adGroupId}\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "sAATiOWbpB_hoCVysdawV"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// OK\n{\n  \"id\": \"\",\n  \"publisher\": {\n    \"id\": \"\",\n    \"name\": \"\",\n    \"bidBelowGlobalFloorPrice\": false\n  },\n  \"name\": \"\",\n  \"type\": \"\",\n  \"status\": \"\",\n  \"budget\": 0,\n  \"budgetSpent\": 0,\n  \"dailyBudget\": 0,\n  \"weeklyBudget\": 0,\n  \"monthlyBudget\": 0,\n  \"useDynamicBudget\": false,\n  \"dailySpendPacing\": \"\",\n  \"spendVelocity\": \"\",\n  \"startDate\": \"\",\n  \"endDate\": \"\",\n  \"targetedSiteIds\": [\n    0\n  ],\n  \"targetedLocations\": [\n    {\n      \"location\": \"\",\n      \"pagePosition\": \"\"\n    }\n  ],\n  \"advertised\": false,\n  \"globalFloorPrice\": 0,\n  \"modifiedAt\": \"\"\n}"
        },
        {
          "id": "response-1-401",
          "language": "401",
          "code": "// Unauthorized\n"
        },
        {
          "id": "response-2-403",
          "language": "403",
          "code": "// Forbidden\n"
        },
        {
          "id": "response-3-404",
          "language": "404",
          "code": "// Not Found\n{\n  \"messages\": [\n    \"\"\n  ]\n}"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}